Subject: Re: [manet] #32 (aodvv2): Multicast transmission

From: Abdussalam Baryun <[email-masked]>
Date: Mon, 8 Sep 2014 14:47:46 +0200

On 4/3/14, manet issue tracker <[email-masked]> wrote:
> #32: Multicast transmission
>
>  (Thomas Clausen)
>
>  Section 5.4:
>
>  {{{
>                  In order to reduce multicast overhead, retransmitting
>                  multicast packets in MANETs SHOULD be done according to
>                  methods specified in [RFC6621]
>  }}}
>
>
>  What happens if that "SHOULD" is not done? Does it break interoperability?

The draft guides to RFC6621 as reducing overhead option. There is no
break from my understandning. If you have break example or analysis
please provide for progress.

 That multicast-overhead is a multicast protocol problem not this
draft problem. Reactive multicast can be done in future after
finishing this. I know that multicast in reactive protocol is
important that is why I suggested before to the WG that we postpone
any reactive multicast work until we finish this work (I argued with
Thomas this issue). Do you mean RFC6621 did not consider reactive
protocol use of it, if that is the meaning then we should update
RFC6621 to consider that.

>  Also, RFC6621 is not std.track, so this is a downref that requires special
>  handling. I note that SHOULD is a fairly strong normative statement, but
>  the RFC6621 is cited as an informational reference. This does not appear
>  appropriate.

I am not sure about that normative issues. But I see there is a
condition as if you want to reduce overhead then go for RFC6621. I
don't mind that we edit that "SHOULD" into "should".

>
>  And finally, RFC6621 specifies a number of different algorithms and modes
>  of operation, some of which require additional signalling.  For
>  interoperable implementations to result, this is insufficient.

I suggest we add that the draft does not go into details of RFC6621
modes, I suggest that to be done in another draft.

AB